Subject: [alpine-devel] new aport glib

From: "Carlo Landmeter" <[email-masked]>
Date: Tue, 06 Jan 2009 15:48:14 +0000

Please review attached git patch.

Br,

Carlo

From c3bd48a24a9b24c725df6d66c9aa8f8898fe2891 Mon Sep 17 00:00:00 2001
From: Carlo Landmeter <[email-masked]>
Date: Tue, 6 Jan 2009 15:46:46 +0000
Subject: [PATCH] extra/glib new aport

---
 extra/glib/APKBUILD |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)
 create mode 100644 extra/glib/APKBUILD

diff --git a/extra/glib/APKBUILD b/extra/glib/APKBUILD
new file mode 100644
index 0000000..4614825
--- /dev/null
+++ b/extra/glib/APKBUILD
@@ -0,0 +1,22 @@
+# Maintainer: Carlo Landmeter <clandmeter at gmail.com>
+pkgname=glib
+pkgver=2.18.3
+pkgrel=0
+pkgdesc="Common C routines used by Gtk+ and other libs"
+url="http://www.gtk.org"
+license='GPL'
+depends="gettext libiconv"
+makedepends="gettext-dev libiconv-dev"
+source="http://ftp.gnome.org/pub/gnome/sources/glib/2.18/glib-2.18.3.tar.bz2"
+subpackages="$pkgname-doc $pkgname-dev"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	./configure --prefix=/usr \
+	--mandir=/usr/share/man
+	make || return 1
+	make DESTDIR="$pkgdir/" install
+}
+
+md5sums="f13996a7bd57525d796a6593f26a7771  glib-2.18.3.tar.bz2"
-- 
1.5.6.4

---

From: Natanael Copa <[email-masked]>
Date: Wed, 07 Jan 2009 14:07:54 +0100

> Please review attached git patch.

committed and pushed

Thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---